aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVitali64 <vitali64pmemail@protonmail.com>2022-02-04 12:19:47 +0100
committerVitali64 <vitali64pmemail@protonmail.com>2022-02-04 12:19:47 +0100
commit09ba14c6450c89b19d8282afb6d93fc857e6ea1f (patch)
tree338ec7b582f0db318416f985da8fafe3eae1ec7f
parent65810b90708c0dcf23ba82868ce6316b5b599170 (diff)
downloadseen-09ba14c6450c89b19d8282afb6d93fc857e6ea1f.tar.gz
seen-09ba14c6450c89b19d8282afb6d93fc857e6ea1f.zip
Add ability to display welcome text at index.html
-rwxr-xr-xseen.sh1
-rw-r--r--templates/article.html1
-rw-r--r--templates/header.html1
-rw-r--r--templates/indextext.html7
4 files changed, 9 insertions, 1 deletions
diff --git a/seen.sh b/seen.sh
index 5e12b2d..b125bd3 100755
--- a/seen.sh
+++ b/seen.sh
@@ -39,6 +39,7 @@ fi
mkdir -p "www" || die "Cannot create www/ directory: mkdir -p returns an error!" # Create the www/ folder if removed
# ---HTML---
cat "templates/header.html" > www/index.html || die "Cannot insert header into index.html!" # Erase www/index.html and insert the header
+cat "templates/indextext.html" >> www/index.html || die "Cannot insert indextext into index.html!" # insert indextext
articles="$(find articles/*.md|sed -e 's@.md@@g' -e 's@articles/@@g')" || die "Unknown error" # Detect articles
# Set the defaults
name="(!) no name (!)"
diff --git a/templates/article.html b/templates/article.html
index 3087552..0ea8f66 100644
--- a/templates/article.html
+++ b/templates/article.html
@@ -1,3 +1,4 @@
+ <div>
<div class="article">
<a href="path-of-article.html"><h3>name-of-article</h3>date-of-article</a>
<p>description-of-article</p>
diff --git a/templates/header.html b/templates/header.html
index bbae57f..592656b 100644
--- a/templates/header.html
+++ b/templates/header.html
@@ -4,5 +4,4 @@
<body>
<h1>Blog</h1>
- <div>
diff --git a/templates/indextext.html b/templates/indextext.html
new file mode 100644
index 0000000..82e5e09
--- /dev/null
+++ b/templates/indextext.html
@@ -0,0 +1,7 @@
+<h1>Welcome to your blog</h1>
+
+<p>
+ You've generated your blog successfully,
+ to learn more, please read the README.md
+ file at the root of the repository.
+</p>